#/bin/bash  

# Change in /boot/armbianEnv.txt overlays=i2c0 i2c1 i2c2
# apt-get install i2c-tools
# i2cdetect -y 0 of i2cdetect -y 1

#$ i2cdetect -y 0
#     0  1  2  3  4  5  6  7  8  9  a  b  c  d  e  f
#00:          -- -- -- -- -- -- -- -- -- -- -- -- -- 
#10: -- -- -- -- -- -- -- -- -- -- -- UU -- -- -- -- 
#20: 20 -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
#30: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
#40: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
#50: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
#60: -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
#70: -- -- -- -- -- -- -- --                     

# Define complete bank A as IN-Port: 
/usr/sbin/i2cset -y 0 0x20 0x00 0xFF
# Define complete bank B as IN-Port: 
/usr/sbin/i2cset -y 0 0x20 0x01 0xFF
# Activate all internal pullup resistors at bank A: 
/usr/sbin/i2cset -y 0 0x20 0x0C 0xFF
# Activate all internal pullup resistors at bank B: 
#/usr/sbin/i2cset -y 0 0x20 0x0D 0xFF
# Activate Interrupt OnChange for Port INTA: 
/usr/sbin/i2cset -y 0 0x20 0x04 0xFF
# Activate Interrupt OnChange for Port INTB: 
/usr/sbin/i2cset -y 0 0x20 0x05 0xFF
# Connect Interrupt-Pin A with the one of B (MIRROR = 1): 
/usr/sbin/i2cset -y 0 0x20 0x0A 0x40
# Connect Interrupt-Pin B with the one of A (MIRROR = 1): 
/usr/sbin/i2cset -y 0 0x20 0x0B 0x40

exit

### EOF